%global modulename file-entry-cache

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-file-entry-cache
Version:        2.0.0
Release:        1%{?dist}
Summary:        Super simple cache for file metadata, useful for process that work o a given series of files and that only need to repeat the job on the changed ones since the previous run of the process

License:        MIT
URL:            https://github.com/royriojas/file-entry-cache#readme
Source0:        https://registry.npmjs.org/file-entry-cache/-/file-entry-cache-2.0.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(flat-cache) >= 1.2.1 with npmlib(flat-cache) < 2.0.0))
BuildRequires:  ((npmlib(object-assign) >= 4.0.1 with npmlib(object-assign) < 5.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Super simple cache for file metadata, useful for process that work o a given series of files and that only need to repeat the job on the changed ones since the previous run of the process

%package 2.0.0
Summary:        Super simple cache for file metadata, useful for process that work o a given series of files and that only need to repeat the job on the changed ones since the previous run of the process


%description 2.0.0
Super simple cache for file metadata, useful for process that work o a given series of files and that only need to repeat the job on the changed ones since the previous run of the process

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr cache.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%doc changelog.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 2.0.0
%doc README.md
%doc changelog.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Mon Nov 19 2018 npm2srpm <dshea@redhat.com> - 2.0.0-1
- Package automatically generated by npm2srpm
